<%= form_with model: article, html: {multipart: true} do |form| %>
	<div class="form-group">
	  <%= form.label :title %><br>
	  <%= form.text_field :title, class: 'form-control' %>
	  <% article.errors.full_messages_for(:title).each do |message|%>
		<div class="alert alert-danger"><%= message %></div>
	  <% end %>
	</div>
  
	<div class="form-group">
	  <%= form.label :body %><br>
	  <%= form.rich_text_area :body, class: 'editor' %><br>
	  <% article.errors.full_messages_for(:body).each do |message| %>
		<div class="alert alert-danger"><%= message %></div>
	  <% end %>
	</div>

	<div class="form-group">
	  <%= form.label :all_tags %><br>
	  <%= form.text_field :all_tags, class: 'form_control' %><br>
	</div>

	<div class="form-group">
	  <%= form.file_field :image%><br>
	</div>

	<div class="">
		<%= form.label :status %><br>
		<%= form.select :status, ['public', 'private', 'archived'], selected: 'public' %>
	</div>
	<div class="save_button">
	  <%= form.submit t('article.save'), class: 'btn btn-success' %>
	  <%= link_to t('article.back'), :back, class: 'btn btn-outline-secondary' %>
	</div>
  <% end %>